Announcement

Collapse
No announcement yet.

Debian Wheezy adm64 install steps

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Debian Wheezy adm64 install steps

    BC4 installed on Debian 7.0.3 amd64 LXDE

    # Downloading latest BC4
    wget -c http://scootersoftware.com/bcompare-...7451_amd64.deb
    dpkg --add-architecture i386
    aptitude update
    apt-get install ia32-libs
    dpkg -i bcompare-4.0.0.17451_amd64.deb

    # necesary?
    apt-get install ia32-libs-gtk-i386
    apt-get install ia32-libs-gtk

    # Gives this error, from a non found library
    #
    # Some Shared Libraries were not found
    # linux-gate.so.1 => (0xb77a9000)
    # libbz2.so.1 => not found

    # Download that library for i386 and it works!

    # Downloading libbz2-1.0 for i386 from http://packages.debian.org/wheezy/libbz2-1.0
    wget -c http://ftp.us.debian.org/debian/pool...0.6-4_i386.deb
    dpkg -i libbz2-1.0_1.0.6-4_i386.deb

    # BC4 Working on my LXDE
    bcompare

  • #2
    This is the method I used to install on Debian 6.3 64-bit:

    dpkg --add-architecture i386
    apt-get update
    gdebi bcompare-4.0.0.17451_i386.deb

    The gdebi command allows you to install from a specific .deb and handle dependencies.
    Chris K Scooter Software

    Comment


    • #3
      How would you install this on Ubuntu 13.10, since ia32-libs is no longer available?

      You need to install each specific dependency with a ":i386" suffix, but I'm having trouble figuring out exactly which dependencies are required.

      Thanks,

      Aaron Kulbe

      P.S. is BC4 a free upgrade from BC3, or do you have an upgrade price?

      Comment


      • #4
        Ubuntu 13.10 is easier than Debian 7 because it includes the i386 architecture by default.

        On Ubuntu 13.10 64-bit, just double click on the i386.deb package for Beyond Compare 3 or 4 and the graphical package manager will install the correct dependencies.
        Chris K Scooter Software

        Comment


        • #5
          See our upgrade page for details on upgrading your license from version 3 to version 4:
          http://www.scootersoftware.com/shop....=upgradepolicy
          Chris K Scooter Software

          Comment


          • #6
            When are we going to see a native 64-bit release for Ubuntu 13.10? Running the i386 version becomes dog slow when I compare the source of two Linux Kernels. When I did the same on Ubuntu 13.04 with the BC 64-bit, I did not see the dog slow performance.

            Regards,
            John

            Comment


            • #7
              Beyond Compare has always been a 32-bit app. The two different packages were just due to differences in how the distro handled dependencies.

              As much as I'd like to say otherwise, making BC's Linux version 64-bit is a v5 feature because it will involve significant changes to our internals to upgrade the compiler and third party libraries.
              ZoŽ P Scooter Software

              Comment


              • #8
                So why is it that BC3 & BC4 run so slow on Ubuntu 13.10 compared to Ubuntu 13.04. If I recall, it took about 1 minute to compare the Linux kernel source on Ubuntu 13.04. I'm comparing the full Linux Kernel source on a Mac and it completes in 3.8 seconds. That is amazingly fast. On Ubuntu 13.10, I'm using an SSD drive and at it took 3 min 45 sec to compare. My Mac is a Mac Pro Retina with Quad core running at 2.7MHz and a 750 GB SSD. My Linux box is a Quad Core running at 3.3MHz. Both have 16 MB RAM.

                Comment


                • #9
                  It sounds like you're using different comparison criteria on the two systems. If you use the Session menu's "Session Settings" command, and switch to the "Comparison" tab you can see the different ways that BC is able to compare files. On the slower systems you must be doing a binary or rules-based comparison, which opens the files and compares all of them. On the faster one you're likely only comparing sizes and last modified times, which just requires the directory listings.
                  ZoŽ P Scooter Software

                  Comment


                  • #10
                    Hi Craig,

                    You are correct. I normally do a rules based comparison and on my Mac (new install) it used the default timestamp comparison. Time on Mac is now 2 min 15 sec.

                    Comment


                    • #11
                      I'm running on Ubuntu 14.04 and when I updated to the latest BC4, it upgraded my i386 version to the x64 version which leaves an apt-get error "ia32-lib dependency". I think a better way to fix this issue is as follows:

                      Remove the ia32-lib dependency and replace it with "lib32z1, lib32ncurses5, lib32bz2-1.0"

                      To verify, I did the following:
                      Download the x64 Debian package and then unpack the package as follows:
                      > mkdir bc_temp
                      > sudo dpkg-deb -x bcompare-4.0.0.17905_amd64.deb bc_temp/
                      > sudo dpkg-deb --control bcompare-4.0.0.17905_amd64.deb bc_temp/DEBIAN
                      Now edit the file bc_temp/DEBIAN/control
                      > sudo gedit bc_temp/DEBIAN/control
                      Replace the line:
                      Depends: ia32-lib
                      with
                      Depends: lib32z1, lib32ncurses5, lib32bz2-1.0
                      Save file and then:
                      > dpkg -b bc_temp/ bcompare-4.0.0.17905_amd64-modified.deb
                      Install this package and there should be no dependency issues.

                      Regards,
                      John

                      Comment


                      • #12
                        Hello,

                        The amd64.deb is only for older versions of Ubuntu/Debian. 14.04 should use the i386 installer, which then uses ia32 multiarch for backwards compatibility.
                        Aaron P Scooter Software

                        Comment


                        • #13
                          Hi Aaron,

                          This I know, but when I clicked on the upgrade, BC installed the AMD64 version and created a conflict in my package manager. This was just my attempt to resolve this issue.

                          Regards,
                          John

                          Comment


                          • #14
                            Thanks for clearing that up. Delivering the amd64 package after you initially used the i386.deb is a bug. We'll investigate this and get it fixed.
                            Aaron P Scooter Software

                            Comment

                            Working...
                            X